import ResonatorAudioContext from '../audio-context';
import EventEmitter from 'eventemitter3';
export default class ResonatorScene extends EventEmitter {
    scene: GainNode;
    context: ResonatorAudioContext;
    listener: AudioListener;
    constructor(context: ResonatorAudioContext);
    init(): void;
    createSource(): any;
    getOutput(): any;
    getInput(): any;
    setListenerPosition(x: number, y: number, z: number): void;
    setListenerOrientation(forward: any, rawup: any): void;
}
